local Days = {"जनवरी", "फ़रवरी", "मार्च", "अप्रैल", "मई", "जून", "जुलाई", "अगस्त", "सितंबर", "अक्टूबर", "नवंबर", "दिसंबर"}
local W = {"रविवार", "सोमवार", "मंगलवार", "बुधवार", "गुरुवार", "शुक्रवार", "शनिवार"}

local function getHindiDate()
    local hindiDate = "वर्तमान समय: "

    local currentHour = tonumber(os.date("%H"))
    local currentMinute = tonumber(os.date("%M"))
    hindiDate = hindiDate .. currentHour .. " बजे " .. currentMinute .. " मिनट"

    local monthIndex = tonumber(os.date("%m"))
    local monthName = Days[monthIndex]
    hindiDate = hindiDate .. ", माह: " .. monthName

    local dayIndex = tonumber(os.date("%w")) + 1
    local dayName = W[dayIndex]
    hindiDate = hindiDate .. ", दिन: " .. dayName

    local dayOfMonth = os.date("%d")
    hindiDate = hindiDate .. ", तिथि: " .. dayOfMonth

    return hindiDate
end

local function getBatteryLevel()
    local batteryLevel = service.getBatteryLevel()
    return "बैटरी क्षमता: " .. batteryLevel .. "%"
end

-- एप्लिकेशन शुरू होने पर हिंदी तारीख, बैटरी स्तिथि और समय चलाएं
service.appendSpeak(getHindiDate())
service.appendSpeak(getBatteryLevel())
